GET
Get cards with due dates for a calendar view

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspacePublicId
string
required
Minimum string length: 12

Query Parameters

boards
string[]
Minimum string length: 12
members
string[]
Minimum string length: 12
labels
string[]
Minimum string length: 1
completed
boolean
priority
enum<string>[]
Available options:
low,
medium,
high,
urgent,
none
view
enum<string>
Available options:
month,
week,
day
anchor
string
Pattern: ^\d{4}-\d{2}-\d{2}$
month
string
Pattern: ^\d{4}-(0[1-9]|1[0-2])$

Response

Successful response

publicId
string
required
title
string
required
cardNumber
number | null
required
dueDate
string | null
required
completedAt
string | null
required
priority
enum<string> | null
required
Available options:
low,
medium,
high,
urgent,
null
boardPublicId
string
required
boardName
string
required
listName
string
required